/** @file

    $Id$

    $Date$
    $Author$
    @copy &copy; Marc W&auml;ckerlin
    @license LGPL, see file <a href="license.html">COPYING</a>

    $Log$
    Revision 1.2  2005/02/18 15:53:07  marc
    I'm so stupid, there's strerror for mapping errno to a string...

    Revision 1.1  2005/02/08 12:30:22  marc
    new in release 1.8.0


         1         2         3         4         5         6         7         8
    5678901234567890123456789012345678901234567890123456789012345678901234567890
*/

#include <mrw/errno.hpp>
#include <mrw/string.hpp>
#include <errno.h>
#include <string.h>

mrw::Errno::Errno() throw(): _errno(errno) {}

mrw::Errno::operator std::string() const throw(std::bad_exception) {
  char error[1024];
  return strerror_r(_errno, error, 1024) ? error : std::string("errno=")+_errno;
}
      
std::string mrw::Errno::string() const throw(std::bad_exception) {
  char error[1024];
  return strerror_r(_errno, error, 1024) ? error : std::string("errno=")+_errno;
}
